Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1285112 - Review Request: DiffusionKurtosisFit - Code to reconstruct the Diffusion Kurtosis Tensor from Diffusion Weighted MRI
Summary: Review Request: DiffusionKurtosisFit - Code to reconstruct the Diffusion Kurt...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1291010
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2015-11-24 21:56 UTC by Igor Gnatenko
Modified: 2018-08-05 09:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-05 09:34:35 UTC
Type: ---
Embargoed:
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-11-24 21:56:34 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/DiffusionKurtosisFit.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/DiffusionKurtosisFit-0.1.1-1.fc24.src.rpm
Description: Code to reconstruct the Diffusion Kurtosis Tensor from Diffusion Weighted MRI.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-01 19:42:07 UTC
I don't think the documentation is particularly useful, it's just a list of references in bibtex format.

- license is OK (BSD)
- license file is present, %license is used
- name matches upstream project name
- requires/provides are sane
- latest version
- builds and installs and seems to run OK
- proper build flags are used
- no scriptlets present or needed

Package is APPROVED.

Comment 2 Gwyn Ciesla 2015-12-02 14:28:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/DiffusionKurtosisFit

Comment 3 Igor Gnatenko 2015-12-06 10:41:05 UTC
http://koji.fedoraproject.org/koji/getfile?taskID=12083069&name=build.log&offset=-4000
Do you have idea why it is failing on rawhide, but OK on f23? How to fix this without ignoring test results? ;)

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-12-07 01:22:27 UTC
Builds fine aarch64 and ppc:
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3314892
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2971845

Since both itktools and this package are affected, might be a bug in itk itself.

Comment 5 Igor Gnatenko 2015-12-12 18:33:04 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> Builds fine aarch64 and ppc:
> http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3314892
> http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2971845
> 
> Since both itktools and this package are affected, might be a bug in itk
> itself.

i will report bug in ITK, because I see the same problem in petpvc.

Comment 6 Mike McCune 2016-03-28 23:47:57 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune with any questions

Comment 7 Ankur Sinha (FranciscoD) 2018-08-05 09:34:35 UTC
Builds correctly in rawhide, and current stable releases. Closing.

https://koji.fedoraproject.org/koji/packageinfo?packageID=21476


Note You need to log in before you can comment on or make changes to this bug.